Eclipse Platform Release 3.7

## org.eclipse.debug.ui.sourcelookup
Interface ISourceDisplay

    public interface ISourceDisplay

Displays source for a debug model element. The debug platform displays source whenever a debug context containing a single element is activated (a structured selection with one element). The debug platform displays source by asking an element for its `ISourceDisplay` adapter or using the element directly if it implements `ISourceDisplay`.

The debug platform provides a source display adapter for instances of `IStackFrame`. The standard adapter uses the source locator associated with the stack frame's launch to lookup source. Clients may provide their own source display adapters as required.

Clients may implement this interface.

Since:
  3.3
See Also:
  `IAdaptable`

Method Summary
`void` `displaySource(Object element, IWorkbenchPage page, boolean forceSourceLookup)` Displays source for the given element in the specified page.

Method Detail

### displaySource

    void displaySource(Object element,
                       IWorkbenchPage page,
                       boolean forceSourceLookup)

  Displays source for the given element in the specified page.

  Parameters:
    `element` - debug model element to display source for
    `page` - the page in which to display source
    `forceSourceLookup` - whether source lookup should be performed, ignoring any previously cached results for the same element

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.